## org.freedesktop.NetworkManager.Device.Vlan

org.freedesktop.NetworkManager.Device.Vlan — Virtual LAN Device

## Signals

    PropertiesChanged (a{sv} properties);

## Properties

    HwAddress  readable   s
    Carrier    readable   b
    Parent     readable   o
    VlanId     readable   u

## Description

## Signal Details

### The "PropertiesChanged" signal

    PropertiesChanged (a{sv} properties);

DEPRECATED. Use the standard "PropertiesChanged" signal from "org.freedesktop.DBus.Properties" instead which exists since version NetworkManager 1.2.0.

`a{sv} `properties``: | A dictionary mapping property names to variant boxed values

## Property Details

### The "HwAddress" property

    HwAddress  readable   s

Hardware address of the device.

### The "Carrier" property

    Carrier  readable   b

Indicates whether the physical carrier is found (e.g. whether a cable is plugged in or not).

### The "Parent" property

    Parent  readable   o

Object path of the parent device of this VLAN device.

### The "VlanId" property

    VlanId  readable   u

The VLAN ID of this VLAN interface.